/*
  CSS: Cool, Super, and Swishy
*/

/* Originally based on Poole https://github.com/poole/poole */

/*
  Color palette based on Pantone colour of the year 2018: Ultra Violet
  https://www.pantone.com/articles/color-of-the-year/color-of-the-year-2018
*/
:root {
  --ultra-violet: #71589b;
  --sparkling-grape: #8d4384;
  --mulberry: #b36e9f;
}

/* Fonts from https://gwfh.mranftl.com/fonts/pt-sans?subsets=latin */
@font-face {
  font-display: swap;
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/pt-sans-v17-latin-regular.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'PT Sans';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/pt-sans-v17-latin-italic.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/pt-sans-v17-latin-700.woff2') format('woff2');
}

* {
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
html {
  font-family: "PT Sans", Helvetica, Arial, sans-serif;
  font-size: 18px;
  line-height: 1.5;
  margin: 0;
  padding: 0;
}
body {
  color: #515151;
  -webkit-text-size-adjust: 100%;
      -ms-text-size-adjust: 100%;
  max-width: 44em;
  margin: 0 auto;
  padding: 0.5em;
}
h1, h2, h3, h4, h5 {
  color: var(--sparkling-grape);
}
a.headerlink {
  padding-left: 0.3em;
  opacity: 0;
}
a.headerlink:before {
  content: '¶';
}
*:hover > a.headerlink {
  opacity: 1.0;
}
nav#top {
  /* Gradient: https://www.joshwcomeau.com/gradient-generator/ */
  background: var(--ultra-violet) linear-gradient(
    45deg,
    hsl(262deg 28% 48%) 0%,
    hsl(267deg 28% 47%) 38%,
    hsl(272deg 29% 46%) 54%,
    hsl(277deg 29% 45%) 67%,
    hsl(282deg 30% 44%) 77%,
    hsl(287deg 30% 43%) 85%,
    hsl(292deg 31% 42%) 92%,
    hsl(298deg 32% 41%) 97%,
    hsl(303deg 33% 41%) 100%,
    hsl(307deg 36% 41%) 100%
  );
  color: #fff;
  padding: 0.1em 1em;
}
#site-name, nav#top a {
  color: #fff;
}
#site-name {
  font-size: 1.75rem;
  font-weight: bold;
  margin: 1rem 0 .5rem 0;
  font-weight: bold;
  line-height: 1.25;
  text-rendering: optimizeLegibility;
}

/*No `:visited` state is required by default (browsers will use `a`) */
a {
  color: #268bd2;
}
a strong {
  color: inherit;
}

/* Headings */
h1, h2, h3, h4, h5, h6 {
  margin-bottom: .5rem;
  font-weight: bold;
  line-height: 1.25;
  text-rendering: optimizeLegibility;
  overflow-wrap: anywhere;
  text-wrap: balance;
}
h1 {
  font-size: 2rem;
}
h2 {
  margin-top: 1rem;
  font-size: 1.5rem;
}
h3 {
  margin-top: 1.5rem;
  font-size: 1.25rem;
}
h4, h5, h6 {
  margin-top: 1rem;
  font-size: 1rem;
}

/* Body text */
p {
  margin-top: 0;
  margin-bottom: 1rem;
  text-wrap: pretty;
}

strong {
  color: #303030;
}


/* Lists */
ul, ol, dl {
  margin-top: 0;
  margin-bottom: 1rem;
}
ol.loweralpha {
  list-style-type: lower-alpha;
}

dt {
  font-weight: bold;
}
dd {
  margin-bottom: .5rem;
}

/* Misc */
hr {
  position: relative;
  margin: 1.5rem 0;
  border: 0;
  border-top: 1px solid #eee;
  border-bottom: 1px solid #fff;
}

abbr {
  font-size: 85%;
  font-weight: bold;
  color: #555;
  text-transform: uppercase;
}
abbr[title] {
  cursor: help;
  border-bottom: 1px dotted #e5e5e5;
}
summary {
  cursor: pointer;
}

/* Code */
code,
pre {
  font-family: Menlo, Monaco, "Courier New", monospace;
  font-size: 85%;
}
code {
  padding: .25em .5em;
  color: #bf616a;
  border-radius: 3px;
}
pre {
  display: block;
  margin-top: 0;
  margin-bottom: 1rem;
  padding: 1rem;
  line-height: 1.2;
  white-space: pre-wrap;
  word-break: break-all;
  word-wrap: break-word;
  background-color: #f9f9f9;
}
pre code {
  padding: 0;
  color: inherit;
  background-color: transparent;
}
@media screen and (max-width: 790px) {
  /* scroll code instead of wrap on small screens */
  pre {
    white-space: pre;
    overflow-x: auto;
  }
}

/* Quotes */
blockquote {
  padding: .5rem 1rem;
  margin: .8rem 0;
  color: #7a7a7a;
  border-left: .25rem solid #e5e5e5;
}
blockquote p:last-child {
  margin-bottom: 0;
}
@media (min-width: 30em) {
  blockquote {
    padding-right: 5rem;
    padding-left: 1.25rem;
  }
}

img {
  display: block;
  max-width: 100%;
  margin: 0 0 1rem;
}

/* Tables */
table {
  margin-bottom: 1rem;
  width: 100%;
  border: 1px solid #e5e5e5;
  border-collapse: collapse;
}
table.borderless {
  border: 0;
  & th, & td {
    border: 0;
  }
}
td,
th {
  padding: .25rem .5rem;
  border: 1px solid #e5e5e5;
}
table.striped tbody tr:nth-child(odd) td,
table.striped tbody tr:nth-child(odd) th {
  background-color: #f9f9f9;
}

/* Forms */
form {
  margin: 2em 0 4em 0;
}
label, input {
  margin: 0 0.5em 0 0;
  font-size: 1em;
}
input {
  padding: 5px;
}
input[type="submit"] {
  background: var(--ultra-violet);
  color: #fff;
}


/*
 * Messages
 *
 * Show alert messages to users. You may add it to single elements like a `<p>`,
 * or to a parent if there are multiple elements to show.
 */

.message {
  margin-bottom: 1rem;
  padding: 1rem;
  color: #717171;
  background-color: #f9f9f9;
}


/*
 * Posts and pages
 *
 * Each post is wrapped in `.post` and is used on default and post layouts. Each
 * page is wrapped in `.page` and is only used on the page layout.
 */

.page,
.post {
  margin-bottom: 1em;
}

/* Blog post or page title */
.post-title,
.post-title a {
  color: var(--sparkling-grape);
}

.post time,  /* Meta data line below post title */
.game-date  /* Date line below each game heading on the games page */
{
  display: block;
  margin-top: -.5rem;
  margin-bottom: 1rem;
  color: #9a9a9a;
}

/*
 * Pagination
 *
 * Super lightweight (HTML-wise) blog pagination. `span`s are provide for when
 * there are no more previous or next posts to show.
 */

.pagination {
  overflow: hidden; /* clearfix */
  margin-left: -1rem;
  margin-right: -1rem;
  font-family: "PT Sans", Helvetica, Arial, sans-serif;
  color: #ccc;
  text-align: center;
}

/* Pagination items can be `span`s or `a`s */
.pagination-item {
  display: block;
  padding: 1rem;
  border: 1px solid #eee;
}
.pagination-item:first-child {
  margin-bottom: -1px;
}

/* Only provide a hover state for linked pagination items */
a.pagination-item:hover {
  background-color: #f5f5f5;
}

@media (min-width: 30em) {
  .pagination {
    margin: 3rem 0;
  }
  .pagination-item {
    float: left;
    width: 50%;
  }
  .pagination-item:first-child {
    margin-bottom: 0;
    border-top-left-radius:    4px;
    border-bottom-left-radius: 4px;
  }
  .pagination-item:last-child {
    margin-left: -1px;
    border-top-right-radius:    4px;
    border-bottom-right-radius: 4px;
  }
}

/* Syntax highlighting using Pygments */
.highlight {
  margin: 0 0 1rem 0;
  border-radius: 4px;
}
.highlight pre {
  margin-bottom: 0;
}
.highlight .hll { background-color: #ffc; }
.highlight .c { color: #999; }/* Comment */
.highlight .err { color: #a00; background-color: #faa }/* Error */
.highlight .k { color: #069; }/* Keyword */
.highlight .o { color: #777 }/* Operator */
.highlight .cm { color: #09f }/* Comment.Multiline */
.highlight .cp { color: #099 }/* Comment.Preproc */
.highlight .c1 { color: #999; }/* Comment.Single */
.highlight .cs { color: #999; }/* Comment.Special */
.highlight .gd { background-color: #fcc; border: 1px solid #c00 }/* Generic.Deleted */
.highlight .ge { font-style: italic }/* Generic.Emph */
.highlight .gr { color: #f00 }/* Generic.Error */
.highlight .gh { color: #030; }/* Generic.Heading */
.highlight .gi { background-color: #cfc; border: 1px solid #0c0 }/* Generic.Inserted */
.highlight .gp { color: #009; }/* Generic.Prompt */
.highlight .gs { }/* Generic.Strong */
.highlight .gu { color: #030; }/* Generic.Subheading */
.highlight .gt { color: #9c6 }/* Generic.Traceback */
.highlight .kc { color: #069; }/* Keyword.Constant */
.highlight .kd { color: #069; }/* Keyword.Declaration */
.highlight .kn { color: #069; }/* Keyword.Namespace */
.highlight .kp { color: #069 }/* Keyword.Pseudo */
.highlight .kr { color: #069; }/* Keyword.Reserved */
.highlight .kt { color: #078; }/* Keyword.Type */
.highlight .m { color: #f60 }/* Literal.Number */
.highlight .s { color: #d44950 }/* Literal.String */
.highlight .na { color: #4f9fcf }/* Name.Attribute */
.highlight .nb { color: #366 }/* Name.Builtin */
.highlight .nc { color: #0a8; }/* Name.Class */
.highlight .no { color: #360 }/* Name.Constant */
.highlight .nd { color: #99f }/* Name.Decorator */
.highlight .ni { color: #999; }/* Name.Entity */
.highlight .ne { color: #c00; }/* Name.Exception */
.highlight .nf { color: #c0f }/* Name.Function */
.highlight .nl { color: #99f }/* Name.Label */
.highlight .nn { color: #0cf; }/* Name.Namespace */
.highlight .nt { color: #2f6f9f; }/* Name.Tag */
.highlight .nv { color: #033 }/* Name.Variable */
.highlight .ow { color: #069 }/* Operator.Word */
.highlight .w { color: #bbb }/* Text.Whitespace */
.highlight .mf { color: #f60 }/* Literal.Number.Float */
.highlight .mh { color: #f60 }/* Literal.Number.Hex */
.highlight .mi { color: #f60 }/* Literal.Number.Integer */
.highlight .mo { color: #f60 }/* Literal.Number.Oct */
.highlight .sb { color: #c30 }/* Literal.String.Backtick */
.highlight .sc { color: #c30 }/* Literal.String.Char */
.highlight .sd { color: #c30 }/* Literal.String.Doc */
.highlight .s2 { color: #c30 }/* Literal.String.Double */
.highlight .se { color: #c30 }/* Literal.String.Escape */
.highlight .sh { color: #c30 }/* Literal.String.Heredoc */
.highlight .si { color: #a00 }/* Literal.String.Interpol */
.highlight .sx { color: #c30 }/* Literal.String.Other */
.highlight .sr { color: #3aa }/* Literal.String.Regex */
.highlight .s1 { color: #c30 }/* Literal.String.Single */
.highlight .ss { color: #fc3 }/* Literal.String.Symbol */
.highlight .bp { color: #366 }/* Name.Builtin.Pseudo */
.highlight .vc { color: #033 }/* Name.Variable.Class */
.highlight .vg { color: #033 }/* Name.Variable.Global */
.highlight .vi { color: #033 }/* Name.Variable.Instance */
.highlight .il { color: #f60 }/* Literal.Number.Integer.Long */

.highlight .ipy .gh { color: #900; }

.highlight .-Color-BGGreen { color: #0a0; background-color: #afa }
.highlight .-Color-BGRed { color: #a00; background-color: #faa }
.highlight .-Color-Faint { color: #999 }

.css .o,
.css .o + .nt,
.css .nt + .nt { color: #999; }

@media (prefers-color-scheme: dark) {
  body {
    color: #eee8d5;
    background-color: #000;
  }

  h1, h2, h3, h4, h5, strong, abbr, blockquote {
    color: #eee8d5;
  }

  blockquote {
    color: #ccc;
  }

  code, pre, .message {
    background-color: #191919;
  }

  table.striped tbody tr:nth-child(odd) td,
  table.striped tbody tr:nth-child(odd) th {
    background-color: #191919;
  }

  .highlight .highlight { color: #026802; }
  .highlight .gh { color: #0a0; }
  .highlight .gi { background-color: #030; }
  .highlight .gd { background-color: #300; }
  .highlight .gp { color: #0cf; }
  .highlight .gu { color: #090; }
  .highlight .nv { color: #099; }

  .post-image {
    filter: invert(1);
  }
}

@view-transition {
  navigation: auto;
}

/* Tailwind inspired utilities */
.float-left {float: left;}
.float-right {float: right;}
.m-0 { margin: 0; }
.m-4 { margin: 1rem; }
.mx-auto { margin-left: auto; margin-right: auto; }
.inline { display: inline; }
.text-center { text-align: center; }
.text-sm { font-size: 0.875rem; line-height: 1.25rem; }

/* Mailchimp extracted inline CSS */
.mailchimp-obscured-input {
  position: absolute;
  left: -5000px;
}
